gi-atk-2.0.27: Atk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.Atk.Objects.GObjectAccessible

Contents

- Exported types
- Methods
  - forObject
  - getObject

Description

This object class is derived from AtkObject and can be used as a basis implementing accessible objects.

This object class is derived from AtkObject. It can be used as a basis for implementing accessible objects for GObjects which are not derived from GtkWidget. One example of its use is in providing an accessible object for GnomeCanvasItem in the GAIL library.

Synopsis

- newtype GObjectAccessible = GObjectAccessible (ManagedPtr GObjectAccessible)
- class (GObject o, IsDescendantOf GObjectAccessible o) => IsGObjectAccessible o
- toGObjectAccessible :: (MonadIO m, IsGObjectAccessible o) => o -> m GObjectAccessible
- gObjectAccessibleForObject :: (HasCallStack, MonadIO m, IsObject a) => a -> m Object
- gObjectAccessibleGetObject :: (HasCallStack, MonadIO m, IsGObjectAccessible a) => a -> m Object

# Exported types

newtype GObjectAccessible Source #

Memory-managed wrapper type.

Constructors

GObjectAccessible (ManagedPtr GObjectAccessible) |

#### Instances

Instances details

Eq GObjectAccessible Source # |
Instance details Defined in GI.Atk.Objects.GObjectAccessible Methods (==) :: GObjectAccessible -> GObjectAccessible -> Bool Source # (/=) :: GObjectAccessible -> GObjectAccessible -> Bool Source #
GObject GObjectAccessible Source # |
Instance details Defined in GI.Atk.Objects.GObjectAccessible
ManagedPtrNewtype GObjectAccessible Source # |
Instance details Defined in GI.Atk.Objects.GObjectAccessible Methods toManagedPtr :: GObjectAccessible -> ManagedPtr GObjectAccessible Source #
TypedObject GObjectAccessible Source # |
Instance details Defined in GI.Atk.Objects.GObjectAccessible Methods glibType :: IO GType Source #
HasParentTypes GObjectAccessible Source # |
Instance details Defined in GI.Atk.Objects.GObjectAccessible
IsGValue (Maybe GObjectAccessible) Source # | Convert `GObjectAccessible` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Atk.Objects.GObjectAccessible Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe GObjectAccessible -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe GObjectAccessible) Source #
type ParentTypes GObjectAccessible Source # |
Instance details Defined in GI.Atk.Objects.GObjectAccessible type ParentTypes GObjectAccessible = '[Object, Object]

class (GObject o, IsDescendantOf GObjectAccessible o) => IsGObjectAccessible o Source #

Type class for types which can be safely cast to `GObjectAccessible`, for instance with `toGObjectAccessible`.

#### Instances

Instances details

(GObject o, IsDescendantOf GObjectAccessible o) => IsGObjectAccessible o Source # |
Instance details Defined in GI.Atk.Objects.GObjectAccessible

toGObjectAccessible :: (MonadIO m, IsGObjectAccessible o) => o -> m GObjectAccessible Source #

Cast to `GObjectAccessible`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

addRelationship, bindProperty, bindPropertyFull, forceFloating, freezeNotify, getv, initialize, isFloating, notify, notifyByPspec, notifyStateChange, peekParent, ref, refAccessibleChild, refRelationSet, refSink, refStateSet, removePropertyChangeHandler, removeRelationship, runDispose, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getAccessibleId, getAttributes, getData, getDescription, getHelpText, getIndexInParent, getLayer, getMdiZorder, getNAccessibleChildren, getName, getObject, getObjectLocale, getParent, getProperty, getQdata, getRole.

#### Setters

setAccessibleId, setData, setDataFull, setDescription, setHelpText, setName, setParent, setProperty, setRole.

## forObject

gObjectAccessibleForObject Source #

Arguments

:: (HasCallStack, MonadIO m, IsObject a) |
=> a | `obj`: a `Object`
-> m Object | Returns: a `Object` which is the accessible object for the `obj`

Gets the accessible object for the specified `obj`.

## getObject

gObjectAccessibleGetObject Source #

Arguments

:: (HasCallStack, MonadIO m, IsGObjectAccessible a) |
=> a | `obj`: a `GObjectAccessible`
-> m Object | Returns: a `Object` which is the object for which `obj` is the accessible object

Gets the GObject for which `obj` is the accessible object.